Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
linkedin
/
post-reactions
List LinkedIn post reactions
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/post-reactions \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "postUrls": [
    "https://www.linkedin.com/feed/update/urn:li:activity:123"
  ],
  "maxItems": 10
}
'
{
  "data": [
    {
      "id": "<string>",
      "reactionType": "<string>",
      "postId": "<string>",
      "actor": {
        "id": "<string>",
        "name": "<string>",
        "linkedinUrl": "<string>",
        "position": "<string>",
        "pictureUrl": "<string>"
      }
    }
  ],
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/linkedin/post-reactions

List reactions on LinkedIn posts.
Retrieve reactions for one or more LinkedIn post URLs.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/post-reactions \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"postUrls": ["https://www.linkedin.com/feed/update/urn:li:activity:123"], "maxItems": 50}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
postUrls
string[]
required
Example:
[
  "https://www.linkedin.com/feed/update/urn:li:activity:123"
]
maxItems
number
default:10
Required range: 1 <= x <= 500

Response

LinkedIn post reactions.

data
object[]
required
meta
object
required